import { Box, Heading, Text } from "@chakra-ui/react";
import { CardanoWallet, useWallet } from "@meshsdk/react";
import Head from "next/head";
import Image from "next/image";
import Link from "next/link";
import { useState } from "react";
import CommitmentStatus from "../../components/gpte/projects/CommitmentStatus";
import CommitToProject from "../../components/gpte/projects/CommitToProject";
import CommitToCurrentProject from "../../components/gpte/projects/CommitToCurrentProject";

export default function ProjectsPage() {
  const { connected, wallet } = useWallet();
  const [assets, setAssets] = useState<null | any>(null);
  const [loading, setLoading] = useState<boolean>(false);

  return (
    <>
      <Head>
        <title>Approved Projects</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <Box>
        <Heading>Approved Projects</Heading>
        <Text py="5">There are many ways to define Projects in GPTE. This page provides basic components that can be used no matter how Project data is handled.</Text>
      </Box>
      <CommitToCurrentProject />
      <CommitmentStatus />
    </>
  );
}
